Send a message
curl --request POST \
--url https://api.example.com/v1/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachment": {
"url": "<string>",
"type": "<string>",
"name": "<string>"
},
"text": "<string>",
"replyToMessageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/v1/messages"
payload = {
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachment": {
"url": "<string>",
"type": "<string>",
"name": "<string>"
},
"text": "<string>",
"replyToMessageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conversationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
attachment: {url: '<string>', type: '<string>', name: '<string>'},
text: '<string>',
replyToMessageId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Messages
Send a message
Send text, an attachment, or both — one of them is required. The contact must be assigned to a member first, or the request is rejected with CONTACT_NOT_ASSIGNED. Attachments are sent by public URL; there is no upload endpoint.
POST
/
v1
/
messages
Send a message
Authorizations
Your API key, e.g. flv_9f2a8c1e…
Body
application/json

